Search Console top keywords
curl --request GET \
--url https://app.keupera.com/api/v1/search-console/keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.keupera.com/api/v1/search-console/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.keupera.com/api/v1/search-console/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"keyword": "best seo tools",
"clicks": 450,
"impressions": 8500,
"ctr": 5.29,
"position": 4.2
}
]
}{
"error": "Invalid or missing API key"
}Analytics
Search Console top keywords
Returns top-performing keywords from Google Search Console.
GET
/
search-console
/
keywords
Search Console top keywords
Authorizations
Pass your Keupera API key as a Bearer token: Authorization: Bearer YOUR_KEUPERA_API_KEY. Generate keys from Account → API Keys in your Keupera dashboard.
Query Parameters
Target website. Defaults to the website bound to your API key. Must belong to one of your organizations.
Preset date range. Ignored when both from and to are provided.
Available options:
7d, 30d, 90d Start date (YYYY-MM-DD).
End date (YYYY-MM-DD).
Number of results to return.
Response
Top keywords.
Show child attributes
Show child attributes